sim: unify sim-load.o building
[deliverable/binutils-gdb.git] / sim / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 1993-2021 Free Software Foundation, Inc.
19 #
20 # This program is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program. If not, see <http://www.gnu.org/licenses/>.
32
33 #
34 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
35 #
36 # This program is free software; you can redistribute it and/or modify
37 # it under the terms of the GNU General Public License as published by
38 # the Free Software Foundation; either version 3 of the License, or
39 # (at your option) any later version.
40 #
41 # This program is distributed in the hope that it will be useful,
42 # but WITHOUT ANY WARRANTY; without even the implied warranty of
43 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
44 # GNU General Public License for more details.
45 #
46 # You should have received a copy of the GNU General Public License
47 # along with this program. If not, see <http://www.gnu.org/licenses/>.
48
49 # Parts of the common/ sim code that have been unified.
50 # Most still lives in common/Make-common.in.
51
52 # The IGEN simulator generator for GDB, the GNU Debugger.
53 #
54 # Copyright 2002-2021 Free Software Foundation, Inc.
55 #
56 # Contributed by Andrew Cagney.
57 #
58 # This file is part of GDB.
59 #
60 # This program is free software; you can redistribute it and/or modify
61 # it under the terms of the GNU General Public License as published by
62 # the Free Software Foundation; either version 3 of the License, or
63 # (at your option) any later version.
64 #
65 # This program is distributed in the hope that it will be useful,
66 # but WITHOUT ANY WARRANTY; without even the implied warranty of
67 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
68 # GNU General Public License for more details.
69 #
70 # You should have received a copy of the GNU General Public License
71 # along with this program. If not, see <http://www.gnu.org/licenses/>.
72
73 #
74 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
75 #
76 # This program is free software; you can redistribute it and/or modify
77 # it under the terms of the GNU General Public License as published by
78 # the Free Software Foundation; either version 3 of the License, or
79 # (at your option) any later version.
80 #
81 # This program is distributed in the hope that it will be useful,
82 # but WITHOUT ANY WARRANTY; without even the implied warranty of
83 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
84 # GNU General Public License for more details.
85 #
86 # You should have received a copy of the GNU General Public License
87 # along with this program. If not, see <http://www.gnu.org/licenses/>.
88
89 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
90 #
91 # This program is free software; you can redistribute it and/or modify
92 # it under the terms of the GNU General Public License as published by
93 # the Free Software Foundation; either version 3 of the License, or
94 # (at your option) any later version.
95 #
96 # This program is distributed in the hope that it will be useful,
97 # but WITHOUT ANY WARRANTY; without even the implied warranty of
98 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
99 # GNU General Public License for more details.
100 #
101 # You should have received a copy of the GNU General Public License
102 # along with this program. If not, see <http://www.gnu.org/licenses/>.
103
104
105 VPATH = @srcdir@
106 am__is_gnu_make = { \
107 if test -z '$(MAKELEVEL)'; then \
108 false; \
109 elif test -n '$(MAKE_HOST)'; then \
110 true; \
111 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
112 true; \
113 else \
114 false; \
115 fi; \
116 }
117 am__make_running_with_option = \
118 case $${target_option-} in \
119 ?) ;; \
120 *) echo "am__make_running_with_option: internal error: invalid" \
121 "target option '$${target_option-}' specified" >&2; \
122 exit 1;; \
123 esac; \
124 has_opt=no; \
125 sane_makeflags=$$MAKEFLAGS; \
126 if $(am__is_gnu_make); then \
127 sane_makeflags=$$MFLAGS; \
128 else \
129 case $$MAKEFLAGS in \
130 *\\[\ \ ]*) \
131 bs=\\; \
132 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
133 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
134 esac; \
135 fi; \
136 skip_next=no; \
137 strip_trailopt () \
138 { \
139 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
140 }; \
141 for flg in $$sane_makeflags; do \
142 test $$skip_next = yes && { skip_next=no; continue; }; \
143 case $$flg in \
144 *=*|--*) continue;; \
145 -*I) strip_trailopt 'I'; skip_next=yes;; \
146 -*I?*) strip_trailopt 'I';; \
147 -*O) strip_trailopt 'O'; skip_next=yes;; \
148 -*O?*) strip_trailopt 'O';; \
149 -*l) strip_trailopt 'l'; skip_next=yes;; \
150 -*l?*) strip_trailopt 'l';; \
151 -[dEDm]) skip_next=yes;; \
152 -[JT]) skip_next=yes;; \
153 esac; \
154 case $$flg in \
155 *$$target_option*) has_opt=yes; break;; \
156 esac; \
157 done; \
158 test $$has_opt = yes
159 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
160 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
161 pkgdatadir = $(datadir)/@PACKAGE@
162 pkgincludedir = $(includedir)/@PACKAGE@
163 pkglibdir = $(libdir)/@PACKAGE@
164 pkglibexecdir = $(libexecdir)/@PACKAGE@
165 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
166 install_sh_DATA = $(install_sh) -c -m 644
167 install_sh_PROGRAM = $(install_sh) -c
168 install_sh_SCRIPT = $(install_sh) -c
169 INSTALL_HEADER = $(INSTALL_DATA)
170 transform = $(program_transform_name)
171 NORMAL_INSTALL = :
172 PRE_INSTALL = :
173 POST_INSTALL = :
174 NORMAL_UNINSTALL = :
175 PRE_UNINSTALL = :
176 POST_UNINSTALL = :
177 build_triplet = @build@
178 host_triplet = @host@
179 target_triplet = @target@
180 check_PROGRAMS = $(am__EXEEXT_3)
181 EXTRA_PROGRAMS = $(am__EXEEXT_2) testsuite/common/bits-gen$(EXEEXT) \
182 testsuite/common/fpu-tst$(EXEEXT)
183
184 # This makes sure igen is available before building the arch-subdirs which
185 # need to run the igen tool.
186 @SIM_ENABLE_IGEN_TRUE@am__append_1 = igen/igen$(EXEEXT)
187 @SIM_ENABLE_IGEN_TRUE@am__append_2 = igen/libigen.a
188 @SIM_ENABLE_IGEN_TRUE@am__append_3 = $(igen_IGEN_TOOLS)
189 @SIM_ENABLE_IGEN_TRUE@am__append_4 = $(igen_IGEN_TOOLS)
190 TESTS = testsuite/common/bits32m0$(EXEEXT) \
191 testsuite/common/bits32m31$(EXEEXT) \
192 testsuite/common/bits64m0$(EXEEXT) \
193 testsuite/common/bits64m63$(EXEEXT) \
194 testsuite/common/alu-tst$(EXEEXT)
195 subdir = .
196 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
197 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
198 $(top_srcdir)/../config/depstand.m4 \
199 $(top_srcdir)/../config/lead-dot.m4 \
200 $(top_srcdir)/../config/override.m4 \
201 $(top_srcdir)/m4/sim_ac_option_alignment.m4 \
202 $(top_srcdir)/m4/sim_ac_option_assert.m4 \
203 $(top_srcdir)/m4/sim_ac_option_debug.m4 \
204 $(top_srcdir)/m4/sim_ac_option_environment.m4 \
205 $(top_srcdir)/m4/sim_ac_option_profile.m4 \
206 $(top_srcdir)/m4/sim_ac_option_stdio.m4 \
207 $(top_srcdir)/m4/sim_ac_option_trace.m4 \
208 $(top_srcdir)/m4/sim_ac_platform.m4 \
209 $(top_srcdir)/m4/sim_ac_toolchain.m4 \
210 $(top_srcdir)/configure.ac
211 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
212 $(ACLOCAL_M4)
213 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
214 $(am__configure_deps) $(pkginclude_HEADERS)
215 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
216 configure.lineno config.status.lineno
217 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
218 CONFIG_HEADER = config.h
219 CONFIG_CLEAN_FILES =
220 CONFIG_CLEAN_VPATH_FILES =
221 LIBRARIES = $(noinst_LIBRARIES)
222 ARFLAGS = cru
223 AM_V_AR = $(am__v_AR_@AM_V@)
224 am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
225 am__v_AR_0 = @echo " AR " $@;
226 am__v_AR_1 =
227 common_libcommon_a_AR = $(AR) $(ARFLAGS)
228 common_libcommon_a_LIBADD =
229 am__dirstamp = $(am__leading_dot)dirstamp
230 am_common_libcommon_a_OBJECTS = \
231 common/common_libcommon_a-sim-load.$(OBJEXT) \
232 common/common_libcommon_a-version.$(OBJEXT)
233 common_libcommon_a_OBJECTS = $(am_common_libcommon_a_OBJECTS)
234 igen_libigen_a_AR = $(AR) $(ARFLAGS)
235 igen_libigen_a_LIBADD =
236 @SIM_ENABLE_IGEN_TRUE@am_igen_libigen_a_OBJECTS = \
237 @SIM_ENABLE_IGEN_TRUE@ igen/table.$(OBJEXT) igen/lf.$(OBJEXT) \
238 @SIM_ENABLE_IGEN_TRUE@ igen/misc.$(OBJEXT) \
239 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.$(OBJEXT) \
240 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.$(OBJEXT) \
241 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.$(OBJEXT) \
242 @SIM_ENABLE_IGEN_TRUE@ igen/filter.$(OBJEXT) \
243 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.$(OBJEXT) \
244 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.$(OBJEXT) \
245 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.$(OBJEXT) \
246 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.$(OBJEXT) \
247 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.$(OBJEXT) \
248 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.$(OBJEXT) \
249 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.$(OBJEXT) \
250 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.$(OBJEXT) \
251 @SIM_ENABLE_IGEN_TRUE@ igen/gen.$(OBJEXT)
252 igen_libigen_a_OBJECTS = $(am_igen_libigen_a_OBJECTS)
253 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_1 = igen/igen$(EXEEXT) \
254 @SIM_ENABLE_IGEN_TRUE@ igen/filter$(EXEEXT) igen/gen$(EXEEXT) \
255 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache$(EXEEXT) \
256 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode$(EXEEXT) \
257 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn$(EXEEXT) \
258 @SIM_ENABLE_IGEN_TRUE@ igen/table$(EXEEXT)
259 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_2 = $(am__EXEEXT_1)
260 am__EXEEXT_3 = testsuite/common/bits32m0$(EXEEXT) \
261 testsuite/common/bits32m31$(EXEEXT) \
262 testsuite/common/bits64m0$(EXEEXT) \
263 testsuite/common/bits64m63$(EXEEXT) \
264 testsuite/common/alu-tst$(EXEEXT)
265 am_igen_filter_OBJECTS =
266 igen_filter_OBJECTS = $(am_igen_filter_OBJECTS)
267 @SIM_ENABLE_IGEN_TRUE@igen_filter_DEPENDENCIES = igen/filter-main.o \
268 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
269 am_igen_gen_OBJECTS =
270 igen_gen_OBJECTS = $(am_igen_gen_OBJECTS)
271 @SIM_ENABLE_IGEN_TRUE@igen_gen_DEPENDENCIES = igen/gen-main.o \
272 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
273 @SIM_ENABLE_IGEN_TRUE@am_igen_igen_OBJECTS = igen/igen.$(OBJEXT)
274 igen_igen_OBJECTS = $(am_igen_igen_OBJECTS)
275 @SIM_ENABLE_IGEN_TRUE@igen_igen_DEPENDENCIES = igen/libigen.a
276 am_igen_ld_cache_OBJECTS =
277 igen_ld_cache_OBJECTS = $(am_igen_ld_cache_OBJECTS)
278 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_DEPENDENCIES = \
279 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache-main.o igen/libigen.a
280 am_igen_ld_decode_OBJECTS =
281 igen_ld_decode_OBJECTS = $(am_igen_ld_decode_OBJECTS)
282 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_DEPENDENCIES = \
283 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode-main.o igen/libigen.a
284 am_igen_ld_insn_OBJECTS =
285 igen_ld_insn_OBJECTS = $(am_igen_ld_insn_OBJECTS)
286 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_DEPENDENCIES = igen/ld-insn-main.o \
287 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
288 am_igen_table_OBJECTS =
289 igen_table_OBJECTS = $(am_igen_table_OBJECTS)
290 @SIM_ENABLE_IGEN_TRUE@igen_table_DEPENDENCIES = igen/table-main.o \
291 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
292 testsuite_common_alu_tst_SOURCES = testsuite/common/alu-tst.c
293 testsuite_common_alu_tst_OBJECTS = testsuite/common/alu-tst.$(OBJEXT)
294 testsuite_common_alu_tst_LDADD = $(LDADD)
295 testsuite_common_bits_gen_SOURCES = testsuite/common/bits-gen.c
296 testsuite_common_bits_gen_OBJECTS = \
297 testsuite/common/bits-gen.$(OBJEXT)
298 testsuite_common_bits_gen_LDADD = $(LDADD)
299 testsuite_common_bits32m0_SOURCES = testsuite/common/bits32m0.c
300 testsuite_common_bits32m0_OBJECTS = \
301 testsuite/common/bits32m0.$(OBJEXT)
302 testsuite_common_bits32m0_LDADD = $(LDADD)
303 testsuite_common_bits32m31_SOURCES = testsuite/common/bits32m31.c
304 testsuite_common_bits32m31_OBJECTS = \
305 testsuite/common/bits32m31.$(OBJEXT)
306 testsuite_common_bits32m31_LDADD = $(LDADD)
307 testsuite_common_bits64m0_SOURCES = testsuite/common/bits64m0.c
308 testsuite_common_bits64m0_OBJECTS = \
309 testsuite/common/bits64m0.$(OBJEXT)
310 testsuite_common_bits64m0_LDADD = $(LDADD)
311 testsuite_common_bits64m63_SOURCES = testsuite/common/bits64m63.c
312 testsuite_common_bits64m63_OBJECTS = \
313 testsuite/common/bits64m63.$(OBJEXT)
314 testsuite_common_bits64m63_LDADD = $(LDADD)
315 testsuite_common_fpu_tst_SOURCES = testsuite/common/fpu-tst.c
316 testsuite_common_fpu_tst_OBJECTS = testsuite/common/fpu-tst.$(OBJEXT)
317 testsuite_common_fpu_tst_LDADD = $(LDADD)
318 AM_V_P = $(am__v_P_@AM_V@)
319 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
320 am__v_P_0 = false
321 am__v_P_1 = :
322 AM_V_GEN = $(am__v_GEN_@AM_V@)
323 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
324 am__v_GEN_0 = @echo " GEN " $@;
325 am__v_GEN_1 =
326 AM_V_at = $(am__v_at_@AM_V@)
327 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
328 am__v_at_0 = @
329 am__v_at_1 =
330 DEFAULT_INCLUDES = -I.@am__isrc@
331 depcomp = $(SHELL) $(top_srcdir)/../depcomp
332 am__depfiles_maybe = depfiles
333 am__mv = mv -f
334 AM_V_lt = $(am__v_lt_@AM_V@)
335 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
336 am__v_lt_0 = --silent
337 am__v_lt_1 =
338 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
339 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
340 AM_V_CC = $(am__v_CC_@AM_V@)
341 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
342 am__v_CC_0 = @echo " CC " $@;
343 am__v_CC_1 =
344 CCLD = $(CC)
345 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
346 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
347 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
348 am__v_CCLD_0 = @echo " CCLD " $@;
349 am__v_CCLD_1 =
350 SOURCES = $(common_libcommon_a_SOURCES) $(igen_libigen_a_SOURCES) \
351 $(igen_filter_SOURCES) $(igen_gen_SOURCES) \
352 $(igen_igen_SOURCES) $(igen_ld_cache_SOURCES) \
353 $(igen_ld_decode_SOURCES) $(igen_ld_insn_SOURCES) \
354 $(igen_table_SOURCES) testsuite/common/alu-tst.c \
355 testsuite/common/bits-gen.c testsuite/common/bits32m0.c \
356 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
357 testsuite/common/bits64m63.c testsuite/common/fpu-tst.c
358 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
359 ctags-recursive dvi-recursive html-recursive info-recursive \
360 install-data-recursive install-dvi-recursive \
361 install-exec-recursive install-html-recursive \
362 install-info-recursive install-pdf-recursive \
363 install-ps-recursive install-recursive installcheck-recursive \
364 installdirs-recursive pdf-recursive ps-recursive \
365 tags-recursive uninstall-recursive
366 am__can_run_installinfo = \
367 case $$AM_UPDATE_INFO_DIR in \
368 n|no|NO) false;; \
369 *) (install-info --version) >/dev/null 2>&1;; \
370 esac
371 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
372 am__vpath_adj = case $$p in \
373 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
374 *) f=$$p;; \
375 esac;
376 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
377 am__install_max = 40
378 am__nobase_strip_setup = \
379 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
380 am__nobase_strip = \
381 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
382 am__nobase_list = $(am__nobase_strip_setup); \
383 for p in $$list; do echo "$$p $$p"; done | \
384 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
385 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
386 if (++n[$$2] == $(am__install_max)) \
387 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
388 END { for (dir in files) print dir, files[dir] }'
389 am__base_list = \
390 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
391 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
392 am__uninstall_files_from_dir = { \
393 test -z "$$files" \
394 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
395 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
396 $(am__cd) "$$dir" && rm -f $$files; }; \
397 }
398 am__installdirs = "$(DESTDIR)$(pkgincludedir)"
399 HEADERS = $(pkginclude_HEADERS)
400 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
401 distclean-recursive maintainer-clean-recursive
402 am__recursive_targets = \
403 $(RECURSIVE_TARGETS) \
404 $(RECURSIVE_CLEAN_TARGETS) \
405 $(am__extra_recursive_targets)
406 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
407 cscope check recheck
408 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
409 $(LISP)config.h.in
410 # Read a list of newline-separated strings from the standard input,
411 # and print each of them once, without duplicates. Input order is
412 # *not* preserved.
413 am__uniquify_input = $(AWK) '\
414 BEGIN { nonempty = 0; } \
415 { items[$$0] = 1; nonempty = 1; } \
416 END { if (nonempty) { for (i in items) print i; }; } \
417 '
418 # Make sure the list of sources is unique. This is necessary because,
419 # e.g., the same source file might be shared among _SOURCES variables
420 # for different programs/libraries.
421 am__define_uniq_tagged_files = \
422 list='$(am__tagged_files)'; \
423 unique=`for i in $$list; do \
424 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
425 done | $(am__uniquify_input)`
426 ETAGS = etags
427 CTAGS = ctags
428 CSCOPE = cscope
429 DEJATOOL = $(PACKAGE)
430 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
431 EXPECT = expect
432 RUNTEST = runtest
433 am__tty_colors_dummy = \
434 mgn= red= grn= lgn= blu= brg= std=; \
435 am__color_tests=no
436 am__tty_colors = { \
437 $(am__tty_colors_dummy); \
438 if test "X$(AM_COLOR_TESTS)" = Xno; then \
439 am__color_tests=no; \
440 elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
441 am__color_tests=yes; \
442 elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
443 am__color_tests=yes; \
444 fi; \
445 if test $$am__color_tests = yes; then \
446 red='\e[0;31m'; \
447 grn='\e[0;32m'; \
448 lgn='\e[1;32m'; \
449 blu='\e[1;34m'; \
450 mgn='\e[0;35m'; \
451 brg='\e[1m'; \
452 std='\e[m'; \
453 fi; \
454 }
455 am__recheck_rx = ^[ ]*:recheck:[ ]*
456 am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
457 am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
458 # A command that, given a newline-separated list of test names on the
459 # standard input, print the name of the tests that are to be re-run
460 # upon "make recheck".
461 am__list_recheck_tests = $(AWK) '{ \
462 recheck = 1; \
463 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
464 { \
465 if (rc < 0) \
466 { \
467 if ((getline line2 < ($$0 ".log")) < 0) \
468 recheck = 0; \
469 break; \
470 } \
471 else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
472 { \
473 recheck = 0; \
474 break; \
475 } \
476 else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
477 { \
478 break; \
479 } \
480 }; \
481 if (recheck) \
482 print $$0; \
483 close ($$0 ".trs"); \
484 close ($$0 ".log"); \
485 }'
486 # A command that, given a newline-separated list of test names on the
487 # standard input, create the global log from their .trs and .log files.
488 am__create_global_log = $(AWK) ' \
489 function fatal(msg) \
490 { \
491 print "fatal: making $@: " msg | "cat >&2"; \
492 exit 1; \
493 } \
494 function rst_section(header) \
495 { \
496 print header; \
497 len = length(header); \
498 for (i = 1; i <= len; i = i + 1) \
499 printf "="; \
500 printf "\n\n"; \
501 } \
502 { \
503 copy_in_global_log = 1; \
504 global_test_result = "RUN"; \
505 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
506 { \
507 if (rc < 0) \
508 fatal("failed to read from " $$0 ".trs"); \
509 if (line ~ /$(am__global_test_result_rx)/) \
510 { \
511 sub("$(am__global_test_result_rx)", "", line); \
512 sub("[ ]*$$", "", line); \
513 global_test_result = line; \
514 } \
515 else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
516 copy_in_global_log = 0; \
517 }; \
518 if (copy_in_global_log) \
519 { \
520 rst_section(global_test_result ": " $$0); \
521 while ((rc = (getline line < ($$0 ".log"))) != 0) \
522 { \
523 if (rc < 0) \
524 fatal("failed to read from " $$0 ".log"); \
525 print line; \
526 }; \
527 printf "\n"; \
528 }; \
529 close ($$0 ".trs"); \
530 close ($$0 ".log"); \
531 }'
532 # Restructured Text title.
533 am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
534 # Solaris 10 'make', and several other traditional 'make' implementations,
535 # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
536 # by disabling -e (using the XSI extension "set +e") if it's set.
537 am__sh_e_setup = case $$- in *e*) set +e;; esac
538 # Default flags passed to test drivers.
539 am__common_driver_flags = \
540 --color-tests "$$am__color_tests" \
541 --enable-hard-errors "$$am__enable_hard_errors" \
542 --expect-failure "$$am__expect_failure"
543 # To be inserted before the command running the test. Creates the
544 # directory for the log if needed. Stores in $dir the directory
545 # containing $f, in $tst the test, in $log the log. Executes the
546 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
547 # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
548 # will run the test scripts (or their associated LOG_COMPILER, if
549 # thy have one).
550 am__check_pre = \
551 $(am__sh_e_setup); \
552 $(am__vpath_adj_setup) $(am__vpath_adj) \
553 $(am__tty_colors); \
554 srcdir=$(srcdir); export srcdir; \
555 case "$@" in \
556 */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
557 *) am__odir=.;; \
558 esac; \
559 test "x$$am__odir" = x"." || test -d "$$am__odir" \
560 || $(MKDIR_P) "$$am__odir" || exit $$?; \
561 if test -f "./$$f"; then dir=./; \
562 elif test -f "$$f"; then dir=; \
563 else dir="$(srcdir)/"; fi; \
564 tst=$$dir$$f; log='$@'; \
565 if test -n '$(DISABLE_HARD_ERRORS)'; then \
566 am__enable_hard_errors=no; \
567 else \
568 am__enable_hard_errors=yes; \
569 fi; \
570 case " $(XFAIL_TESTS) " in \
571 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
572 am__expect_failure=yes;; \
573 *) \
574 am__expect_failure=no;; \
575 esac; \
576 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
577 # A shell command to get the names of the tests scripts with any registered
578 # extension removed (i.e., equivalently, the names of the test logs, with
579 # the '.log' extension removed). The result is saved in the shell variable
580 # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
581 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
582 # since that might cause problem with VPATH rewrites for suffix-less tests.
583 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
584 am__set_TESTS_bases = \
585 bases='$(TEST_LOGS)'; \
586 bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
587 bases=`echo $$bases`
588 RECHECK_LOGS = $(TEST_LOGS)
589 TEST_SUITE_LOG = test-suite.log
590 TEST_EXTENSIONS = @EXEEXT@ .test
591 LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
592 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
593 am__set_b = \
594 case '$@' in \
595 */*) \
596 case '$*' in \
597 */*) b='$*';; \
598 *) b=`echo '$@' | sed 's/\.log$$//'`; \
599 esac;; \
600 *) \
601 b='$*';; \
602 esac
603 am__test_logs1 = $(TESTS:=.log)
604 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
605 TEST_LOGS = $(am__test_logs2:.test.log=.log)
606 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
607 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
608 $(TEST_LOG_FLAGS)
609 DIST_SUBDIRS = $(SUBDIRS)
610 ACLOCAL = @ACLOCAL@
611 AMTAR = @AMTAR@
612 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
613 AR = @AR@
614 AR_FOR_BUILD = @AR_FOR_BUILD@
615 AUTOCONF = @AUTOCONF@
616 AUTOHEADER = @AUTOHEADER@
617 AUTOMAKE = @AUTOMAKE@
618 AWK = @AWK@
619 CC = @CC@
620 CCDEPMODE = @CCDEPMODE@
621 CC_FOR_BUILD = @CC_FOR_BUILD@
622 CFLAGS = @CFLAGS@
623 CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
624 CPP = @CPP@
625 CPPFLAGS = @CPPFLAGS@
626 CYGPATH_W = @CYGPATH_W@
627 C_DIALECT = @C_DIALECT@
628 DEFS = @DEFS@
629 DEPDIR = @DEPDIR@
630 ECHO_C = @ECHO_C@
631 ECHO_N = @ECHO_N@
632 ECHO_T = @ECHO_T@
633 EGREP = @EGREP@
634 EXEEXT = @EXEEXT@
635 GREP = @GREP@
636 INSTALL = @INSTALL@
637 INSTALL_DATA = @INSTALL_DATA@
638 INSTALL_PROGRAM = @INSTALL_PROGRAM@
639 INSTALL_SCRIPT = @INSTALL_SCRIPT@
640 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
641 LDFLAGS = @LDFLAGS@
642 LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
643 LIBOBJS = @LIBOBJS@
644 LIBS = @LIBS@
645 LTLIBOBJS = @LTLIBOBJS@
646 MAINT = @MAINT@
647 MAKEINFO = @MAKEINFO@
648 MKDIR_P = @MKDIR_P@
649 OBJEXT = @OBJEXT@
650 PACKAGE = @PACKAGE@
651 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
652 PACKAGE_NAME = @PACKAGE_NAME@
653 PACKAGE_STRING = @PACKAGE_STRING@
654 PACKAGE_TARNAME = @PACKAGE_TARNAME@
655 PACKAGE_URL = @PACKAGE_URL@
656 PACKAGE_VERSION = @PACKAGE_VERSION@
657 PATH_SEPARATOR = @PATH_SEPARATOR@
658 PKGVERSION = @PKGVERSION@
659 RANLIB = @RANLIB@
660 RANLIB_FOR_BUILD = @RANLIB_FOR_BUILD@
661 REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@
662 REPORT_BUGS_TO = @REPORT_BUGS_TO@
663 SET_MAKE = @SET_MAKE@
664 SHELL = @SHELL@
665 SIM_PRIMARY_TARGET = @SIM_PRIMARY_TARGET@
666 STRIP = @STRIP@
667 VERSION = @VERSION@
668 abs_builddir = @abs_builddir@
669 abs_srcdir = @abs_srcdir@
670 abs_top_builddir = @abs_top_builddir@
671 abs_top_srcdir = @abs_top_srcdir@
672 ac_ct_CC = @ac_ct_CC@
673 am__include = @am__include@
674 am__leading_dot = @am__leading_dot@
675 am__quote = @am__quote@
676 am__tar = @am__tar@
677 am__untar = @am__untar@
678 bindir = @bindir@
679 build = @build@
680 build_alias = @build_alias@
681 build_cpu = @build_cpu@
682 build_os = @build_os@
683 build_vendor = @build_vendor@
684 builddir = @builddir@
685 datadir = @datadir@
686 datarootdir = @datarootdir@
687 docdir = @docdir@
688 dvidir = @dvidir@
689 exec_prefix = @exec_prefix@
690 host = @host@
691 host_alias = @host_alias@
692 host_cpu = @host_cpu@
693 host_os = @host_os@
694 host_vendor = @host_vendor@
695 htmldir = @htmldir@
696 includedir = @includedir@
697 infodir = @infodir@
698 install_sh = @install_sh@
699 libdir = @libdir@
700 libexecdir = @libexecdir@
701 localedir = @localedir@
702 localstatedir = @localstatedir@
703 mandir = @mandir@
704 mkdir_p = @mkdir_p@
705 oldincludedir = @oldincludedir@
706 pdfdir = @pdfdir@
707 prefix = @prefix@
708 program_transform_name = @program_transform_name@
709 psdir = @psdir@
710 sbindir = @sbindir@
711 sharedstatedir = @sharedstatedir@
712 srcdir = @srcdir@
713 subdirs = @subdirs@
714 sysconfdir = @sysconfdir@
715 target = @target@
716 target_alias = @target_alias@
717 target_cpu = @target_cpu@
718 target_os = @target_os@
719 target_vendor = @target_vendor@
720 top_build_prefix = @top_build_prefix@
721 top_builddir = @top_builddir@
722 top_srcdir = @top_srcdir@
723 AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects
724 ACLOCAL_AMFLAGS = -Im4 -I.. -I../config
725 srcroot = $(srcdir)/..
726 SUBDIRS = @subdirs@
727 AM_MAKEFLAGS = SIM_PRIMARY_TARGET=$(SIM_PRIMARY_TARGET)
728
729 # NB: libcommon.a isn't used directly by ports. We need a target for common
730 # objects to be a part of, and ports use the individual objects directly.
731 noinst_LIBRARIES = common/libcommon.a $(am__append_2)
732 CLEANFILES = testsuite/common/bits-gen testsuite/common/bits32m0.c \
733 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
734 testsuite/common/bits64m63.c
735 DISTCLEANFILES =
736 MOSTLYCLEANFILES = core $(am__append_4) site-srcdir.exp testrun.log \
737 testrun.sum
738 AM_CPPFLAGS = -I$(srcroot)/include -I$(srcdir)/common
739 COMPILE_FOR_BUILD = $(CC_FOR_BUILD) $(AM_CPPFLAGS) $(CFLAGS_FOR_BUILD)
740 LINK_FOR_BUILD = $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(LDFLAGS_FOR_BUILD) -o $@
741
742 # Deps to add to the all-recursive target. These are built before descending
743 # into any subdirs.
744
745 # This makes sure common parts are available before building the arch-subdirs
746 # which will refer to these.
747 SIM_ALL_RECURSIVE_DEPS = common/libcommon.a $(am__append_1)
748 pkginclude_HEADERS = \
749 $(srcroot)/include/sim/callback.h \
750 $(srcroot)/include/sim/sim.h
751
752 common_libcommon_a_CPPFLAGS = \
753 $(AM_CPPFLAGS) \
754 -DSIM_COMMON_BUILD \
755 -I../bfd \
756 -I..
757
758 common_libcommon_a_SOURCES = \
759 common/sim-load.c \
760 common/version.c
761
762 @SIM_ENABLE_IGEN_TRUE@igen_libigen_a_SOURCES = \
763 @SIM_ENABLE_IGEN_TRUE@ igen/table.c \
764 @SIM_ENABLE_IGEN_TRUE@ igen/lf.c \
765 @SIM_ENABLE_IGEN_TRUE@ igen/misc.c \
766 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.c \
767 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.c \
768 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.c \
769 @SIM_ENABLE_IGEN_TRUE@ igen/filter.c \
770 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.c \
771 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.c \
772 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.c \
773 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.c \
774 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.c \
775 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.c \
776 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.c \
777 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.c \
778 @SIM_ENABLE_IGEN_TRUE@ igen/gen.c
779
780 @SIM_ENABLE_IGEN_TRUE@igen_igen_SOURCES = igen/igen.c
781 @SIM_ENABLE_IGEN_TRUE@igen_igen_LDADD = igen/libigen.a
782 @SIM_ENABLE_IGEN_TRUE@igen_filter_SOURCES =
783 @SIM_ENABLE_IGEN_TRUE@igen_filter_LDADD = igen/filter-main.o igen/libigen.a
784 @SIM_ENABLE_IGEN_TRUE@igen_gen_SOURCES =
785 @SIM_ENABLE_IGEN_TRUE@igen_gen_LDADD = igen/gen-main.o igen/libigen.a
786 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_SOURCES =
787 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_LDADD = igen/ld-cache-main.o igen/libigen.a
788 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_SOURCES =
789 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_LDADD = igen/ld-decode-main.o igen/libigen.a
790 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_SOURCES =
791 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_LDADD = igen/ld-insn-main.o igen/libigen.a
792 @SIM_ENABLE_IGEN_TRUE@igen_table_SOURCES =
793 @SIM_ENABLE_IGEN_TRUE@igen_table_LDADD = igen/table-main.o igen/libigen.a
794 @SIM_ENABLE_IGEN_TRUE@igen_IGEN_TOOLS = \
795 @SIM_ENABLE_IGEN_TRUE@ igen/igen \
796 @SIM_ENABLE_IGEN_TRUE@ igen/filter \
797 @SIM_ENABLE_IGEN_TRUE@ igen/gen \
798 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache \
799 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode \
800 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn \
801 @SIM_ENABLE_IGEN_TRUE@ igen/table
802
803
804 # Tweak the site.exp so it works with plain `runtest` from user.
805 EXTRA_DEJAGNU_SITE_CONFIG = site-srcdir.exp
806 testsuite_common_CPPFLAGS = \
807 -I$(srcdir)/common \
808 -I$(srcroot)/include \
809 -I../bfd
810
811 all: config.h
812 $(MAKE) $(AM_MAKEFLAGS) all-recursive
813
814 .SUFFIXES:
815 .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
816 am--refresh: Makefile
817 @:
818 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__configure_deps)
819 @for dep in $?; do \
820 case '$(am__configure_deps)' in \
821 *$$dep*) \
822 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
823 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
824 && exit 0; \
825 exit 1;; \
826 esac; \
827 done; \
828 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
829 $(am__cd) $(top_srcdir) && \
830 $(AUTOMAKE) --foreign Makefile
831 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
832 @case '$?' in \
833 *config.status*) \
834 echo ' $(SHELL) ./config.status'; \
835 $(SHELL) ./config.status;; \
836 *) \
837 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
838 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
839 esac;
840 $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__empty):
841
842 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
843 $(SHELL) ./config.status --recheck
844
845 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
846 $(am__cd) $(srcdir) && $(AUTOCONF)
847 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
848 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
849 $(am__aclocal_m4_deps):
850
851 config.h: stamp-h1
852 @test -f $@ || rm -f stamp-h1
853 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
854
855 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
856 @rm -f stamp-h1
857 cd $(top_builddir) && $(SHELL) ./config.status config.h
858 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
859 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
860 rm -f stamp-h1
861 touch $@
862
863 distclean-hdr:
864 -rm -f config.h stamp-h1
865
866 clean-noinstLIBRARIES:
867 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
868 common/$(am__dirstamp):
869 @$(MKDIR_P) common
870 @: > common/$(am__dirstamp)
871 common/$(DEPDIR)/$(am__dirstamp):
872 @$(MKDIR_P) common/$(DEPDIR)
873 @: > common/$(DEPDIR)/$(am__dirstamp)
874 common/common_libcommon_a-sim-load.$(OBJEXT): common/$(am__dirstamp) \
875 common/$(DEPDIR)/$(am__dirstamp)
876 common/common_libcommon_a-version.$(OBJEXT): common/$(am__dirstamp) \
877 common/$(DEPDIR)/$(am__dirstamp)
878
879 common/libcommon.a: $(common_libcommon_a_OBJECTS) $(common_libcommon_a_DEPENDENCIES) $(EXTRA_common_libcommon_a_DEPENDENCIES) common/$(am__dirstamp)
880 $(AM_V_at)-rm -f common/libcommon.a
881 $(AM_V_AR)$(common_libcommon_a_AR) common/libcommon.a $(common_libcommon_a_OBJECTS) $(common_libcommon_a_LIBADD)
882 $(AM_V_at)$(RANLIB) common/libcommon.a
883 igen/$(am__dirstamp):
884 @$(MKDIR_P) igen
885 @: > igen/$(am__dirstamp)
886 igen/$(DEPDIR)/$(am__dirstamp):
887 @$(MKDIR_P) igen/$(DEPDIR)
888 @: > igen/$(DEPDIR)/$(am__dirstamp)
889 igen/table.$(OBJEXT): igen/$(am__dirstamp) \
890 igen/$(DEPDIR)/$(am__dirstamp)
891 igen/lf.$(OBJEXT): igen/$(am__dirstamp) igen/$(DEPDIR)/$(am__dirstamp)
892 igen/misc.$(OBJEXT): igen/$(am__dirstamp) \
893 igen/$(DEPDIR)/$(am__dirstamp)
894 igen/filter_host.$(OBJEXT): igen/$(am__dirstamp) \
895 igen/$(DEPDIR)/$(am__dirstamp)
896 igen/ld-decode.$(OBJEXT): igen/$(am__dirstamp) \
897 igen/$(DEPDIR)/$(am__dirstamp)
898 igen/ld-cache.$(OBJEXT): igen/$(am__dirstamp) \
899 igen/$(DEPDIR)/$(am__dirstamp)
900 igen/filter.$(OBJEXT): igen/$(am__dirstamp) \
901 igen/$(DEPDIR)/$(am__dirstamp)
902 igen/ld-insn.$(OBJEXT): igen/$(am__dirstamp) \
903 igen/$(DEPDIR)/$(am__dirstamp)
904 igen/gen-model.$(OBJEXT): igen/$(am__dirstamp) \
905 igen/$(DEPDIR)/$(am__dirstamp)
906 igen/gen-itable.$(OBJEXT): igen/$(am__dirstamp) \
907 igen/$(DEPDIR)/$(am__dirstamp)
908 igen/gen-icache.$(OBJEXT): igen/$(am__dirstamp) \
909 igen/$(DEPDIR)/$(am__dirstamp)
910 igen/gen-semantics.$(OBJEXT): igen/$(am__dirstamp) \
911 igen/$(DEPDIR)/$(am__dirstamp)
912 igen/gen-idecode.$(OBJEXT): igen/$(am__dirstamp) \
913 igen/$(DEPDIR)/$(am__dirstamp)
914 igen/gen-support.$(OBJEXT): igen/$(am__dirstamp) \
915 igen/$(DEPDIR)/$(am__dirstamp)
916 igen/gen-engine.$(OBJEXT): igen/$(am__dirstamp) \
917 igen/$(DEPDIR)/$(am__dirstamp)
918 igen/gen.$(OBJEXT): igen/$(am__dirstamp) \
919 igen/$(DEPDIR)/$(am__dirstamp)
920
921 @SIM_ENABLE_IGEN_FALSE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
922 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)-rm -f igen/libigen.a
923 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_AR)$(igen_libigen_a_AR) igen/libigen.a $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
924 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)$(RANLIB) igen/libigen.a
925
926 clean-checkPROGRAMS:
927 -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
928
929 igen/filter$(EXEEXT): $(igen_filter_OBJECTS) $(igen_filter_DEPENDENCIES) $(EXTRA_igen_filter_DEPENDENCIES) igen/$(am__dirstamp)
930 @rm -f igen/filter$(EXEEXT)
931 $(AM_V_CCLD)$(LINK) $(igen_filter_OBJECTS) $(igen_filter_LDADD) $(LIBS)
932
933 igen/gen$(EXEEXT): $(igen_gen_OBJECTS) $(igen_gen_DEPENDENCIES) $(EXTRA_igen_gen_DEPENDENCIES) igen/$(am__dirstamp)
934 @rm -f igen/gen$(EXEEXT)
935 $(AM_V_CCLD)$(LINK) $(igen_gen_OBJECTS) $(igen_gen_LDADD) $(LIBS)
936 igen/igen.$(OBJEXT): igen/$(am__dirstamp) \
937 igen/$(DEPDIR)/$(am__dirstamp)
938
939 @SIM_ENABLE_IGEN_FALSE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) $(EXTRA_igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
940 @SIM_ENABLE_IGEN_FALSE@ @rm -f igen/igen$(EXEEXT)
941 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_CCLD)$(LINK) $(igen_igen_OBJECTS) $(igen_igen_LDADD) $(LIBS)
942
943 igen/ld-cache$(EXEEXT): $(igen_ld_cache_OBJECTS) $(igen_ld_cache_DEPENDENCIES) $(EXTRA_igen_ld_cache_DEPENDENCIES) igen/$(am__dirstamp)
944 @rm -f igen/ld-cache$(EXEEXT)
945 $(AM_V_CCLD)$(LINK) $(igen_ld_cache_OBJECTS) $(igen_ld_cache_LDADD) $(LIBS)
946
947 igen/ld-decode$(EXEEXT): $(igen_ld_decode_OBJECTS) $(igen_ld_decode_DEPENDENCIES) $(EXTRA_igen_ld_decode_DEPENDENCIES) igen/$(am__dirstamp)
948 @rm -f igen/ld-decode$(EXEEXT)
949 $(AM_V_CCLD)$(LINK) $(igen_ld_decode_OBJECTS) $(igen_ld_decode_LDADD) $(LIBS)
950
951 igen/ld-insn$(EXEEXT): $(igen_ld_insn_OBJECTS) $(igen_ld_insn_DEPENDENCIES) $(EXTRA_igen_ld_insn_DEPENDENCIES) igen/$(am__dirstamp)
952 @rm -f igen/ld-insn$(EXEEXT)
953 $(AM_V_CCLD)$(LINK) $(igen_ld_insn_OBJECTS) $(igen_ld_insn_LDADD) $(LIBS)
954
955 igen/table$(EXEEXT): $(igen_table_OBJECTS) $(igen_table_DEPENDENCIES) $(EXTRA_igen_table_DEPENDENCIES) igen/$(am__dirstamp)
956 @rm -f igen/table$(EXEEXT)
957 $(AM_V_CCLD)$(LINK) $(igen_table_OBJECTS) $(igen_table_LDADD) $(LIBS)
958 testsuite/common/$(am__dirstamp):
959 @$(MKDIR_P) testsuite/common
960 @: > testsuite/common/$(am__dirstamp)
961 testsuite/common/$(DEPDIR)/$(am__dirstamp):
962 @$(MKDIR_P) testsuite/common/$(DEPDIR)
963 @: > testsuite/common/$(DEPDIR)/$(am__dirstamp)
964 testsuite/common/alu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
965 testsuite/common/$(DEPDIR)/$(am__dirstamp)
966 testsuite/common/bits-gen.$(OBJEXT): testsuite/common/$(am__dirstamp) \
967 testsuite/common/$(DEPDIR)/$(am__dirstamp)
968 testsuite/common/bits32m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
969 testsuite/common/$(DEPDIR)/$(am__dirstamp)
970 testsuite/common/bits32m31.$(OBJEXT): \
971 testsuite/common/$(am__dirstamp) \
972 testsuite/common/$(DEPDIR)/$(am__dirstamp)
973 testsuite/common/bits64m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
974 testsuite/common/$(DEPDIR)/$(am__dirstamp)
975 testsuite/common/bits64m63.$(OBJEXT): \
976 testsuite/common/$(am__dirstamp) \
977 testsuite/common/$(DEPDIR)/$(am__dirstamp)
978 testsuite/common/fpu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
979 testsuite/common/$(DEPDIR)/$(am__dirstamp)
980
981 mostlyclean-compile:
982 -rm -f *.$(OBJEXT)
983 -rm -f common/*.$(OBJEXT)
984 -rm -f igen/*.$(OBJEXT)
985 -rm -f testsuite/common/*.$(OBJEXT)
986
987 distclean-compile:
988 -rm -f *.tab.c
989
990 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-sim-load.Po@am__quote@
991 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-version.Po@am__quote@
992 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter.Po@am__quote@
993 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter_host.Po@am__quote@
994 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-engine.Po@am__quote@
995 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-icache.Po@am__quote@
996 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-idecode.Po@am__quote@
997 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-itable.Po@am__quote@
998 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-model.Po@am__quote@
999 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-semantics.Po@am__quote@
1000 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-support.Po@am__quote@
1001 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen.Po@am__quote@
1002 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/igen.Po@am__quote@
1003 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-cache.Po@am__quote@
1004 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-decode.Po@am__quote@
1005 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-insn.Po@am__quote@
1006 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/lf.Po@am__quote@
1007 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/misc.Po@am__quote@
1008 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/table.Po@am__quote@
1009 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/alu-tst.Po@am__quote@
1010 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits-gen.Po@am__quote@
1011 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m0.Po@am__quote@
1012 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m31.Po@am__quote@
1013 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m0.Po@am__quote@
1014 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m63.Po@am__quote@
1015 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/fpu-tst.Po@am__quote@
1016
1017 .c.o:
1018 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1019 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1020 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1021 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1022 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1023 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1024
1025 .c.obj:
1026 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1027 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1028 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1029 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1030 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1031 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1032
1033 common/common_libcommon_a-sim-load.o: common/sim-load.c
1034 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1035 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1036 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.o' libtool=no @AMDEPBACKSLASH@
1037 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1038 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1039
1040 common/common_libcommon_a-sim-load.obj: common/sim-load.c
1041 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1042 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1043 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.obj' libtool=no @AMDEPBACKSLASH@
1044 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1045 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1046
1047 common/common_libcommon_a-version.o: common/version.c
1048 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1049 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1050 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.o' libtool=no @AMDEPBACKSLASH@
1051 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1052 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1053
1054 common/common_libcommon_a-version.obj: common/version.c
1055 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
1056 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1057 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.obj' libtool=no @AMDEPBACKSLASH@
1058 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1059 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
1060 install-pkgincludeHEADERS: $(pkginclude_HEADERS)
1061 @$(NORMAL_INSTALL)
1062 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1063 if test -n "$$list"; then \
1064 echo " $(MKDIR_P) '$(DESTDIR)$(pkgincludedir)'"; \
1065 $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)" || exit 1; \
1066 fi; \
1067 for p in $$list; do \
1068 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1069 echo "$$d$$p"; \
1070 done | $(am__base_list) | \
1071 while read files; do \
1072 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \
1073 $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \
1074 done
1075
1076 uninstall-pkgincludeHEADERS:
1077 @$(NORMAL_UNINSTALL)
1078 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1079 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1080 dir='$(DESTDIR)$(pkgincludedir)'; $(am__uninstall_files_from_dir)
1081
1082 # This directory's subdirectories are mostly independent; you can cd
1083 # into them and run 'make' without going through this Makefile.
1084 # To change the values of 'make' variables: instead of editing Makefiles,
1085 # (1) if the variable is set in 'config.status', edit 'config.status'
1086 # (which will cause the Makefiles to be regenerated when you run 'make');
1087 # (2) otherwise, pass the desired values on the 'make' command line.
1088 $(am__recursive_targets):
1089 @fail=; \
1090 if $(am__make_keepgoing); then \
1091 failcom='fail=yes'; \
1092 else \
1093 failcom='exit 1'; \
1094 fi; \
1095 dot_seen=no; \
1096 target=`echo $@ | sed s/-recursive//`; \
1097 case "$@" in \
1098 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1099 *) list='$(SUBDIRS)' ;; \
1100 esac; \
1101 for subdir in $$list; do \
1102 echo "Making $$target in $$subdir"; \
1103 if test "$$subdir" = "."; then \
1104 dot_seen=yes; \
1105 local_target="$$target-am"; \
1106 else \
1107 local_target="$$target"; \
1108 fi; \
1109 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1110 || eval $$failcom; \
1111 done; \
1112 if test "$$dot_seen" = "no"; then \
1113 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1114 fi; test -z "$$fail"
1115
1116 ID: $(am__tagged_files)
1117 $(am__define_uniq_tagged_files); mkid -fID $$unique
1118 tags: tags-recursive
1119 TAGS: tags
1120
1121 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1122 set x; \
1123 here=`pwd`; \
1124 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1125 include_option=--etags-include; \
1126 empty_fix=.; \
1127 else \
1128 include_option=--include; \
1129 empty_fix=; \
1130 fi; \
1131 list='$(SUBDIRS)'; for subdir in $$list; do \
1132 if test "$$subdir" = .; then :; else \
1133 test ! -f $$subdir/TAGS || \
1134 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1135 fi; \
1136 done; \
1137 $(am__define_uniq_tagged_files); \
1138 shift; \
1139 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1140 test -n "$$unique" || unique=$$empty_fix; \
1141 if test $$# -gt 0; then \
1142 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1143 "$$@" $$unique; \
1144 else \
1145 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1146 $$unique; \
1147 fi; \
1148 fi
1149 ctags: ctags-recursive
1150
1151 CTAGS: ctags
1152 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1153 $(am__define_uniq_tagged_files); \
1154 test -z "$(CTAGS_ARGS)$$unique" \
1155 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1156 $$unique
1157
1158 GTAGS:
1159 here=`$(am__cd) $(top_builddir) && pwd` \
1160 && $(am__cd) $(top_srcdir) \
1161 && gtags -i $(GTAGS_ARGS) "$$here"
1162 cscope: cscope.files
1163 test ! -s cscope.files \
1164 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1165 clean-cscope:
1166 -rm -f cscope.files
1167 cscope.files: clean-cscope cscopelist
1168 cscopelist: cscopelist-recursive
1169
1170 cscopelist-am: $(am__tagged_files)
1171 list='$(am__tagged_files)'; \
1172 case "$(srcdir)" in \
1173 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1174 *) sdir=$(subdir)/$(srcdir) ;; \
1175 esac; \
1176 for i in $$list; do \
1177 if test -f "$$i"; then \
1178 echo "$(subdir)/$$i"; \
1179 else \
1180 echo "$$sdir/$$i"; \
1181 fi; \
1182 done >> $(top_builddir)/cscope.files
1183
1184 distclean-tags:
1185 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1186 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1187 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1188 @echo 'Making a new site.exp file ...'
1189 @echo '## these variables are automatically generated by make ##' >site.tmp
1190 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1191 @echo '# edit the last section' >>site.tmp
1192 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1193 @echo "set objdir `pwd`" >>site.tmp
1194 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1195 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1196 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1197 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1198 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1199 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1200 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1201 echo "## Begin content included from file $$f. Do not modify. ##" \
1202 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1203 && echo "## End content included from file $$f. ##" \
1204 || exit 1; \
1205 done >> site.tmp
1206 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1207 @if test -f site.exp; then \
1208 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1209 fi
1210 @-rm -f site.bak
1211 @test ! -f site.exp || mv site.exp site.bak
1212 @mv site.tmp site.exp
1213
1214 distclean-DEJAGNU:
1215 -rm -f site.exp site.bak
1216 -l='$(DEJATOOL)'; for tool in $$l; do \
1217 rm -f $$tool.sum $$tool.log; \
1218 done
1219
1220 # Recover from deleted '.trs' file; this should ensure that
1221 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1222 # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
1223 # to avoid problems with "make -n".
1224 .log.trs:
1225 rm -f $< $@
1226 $(MAKE) $(AM_MAKEFLAGS) $<
1227
1228 # Leading 'am--fnord' is there to ensure the list of targets does not
1229 # expand to empty, as could happen e.g. with make check TESTS=''.
1230 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1231 am--force-recheck:
1232 @:
1233
1234 $(TEST_SUITE_LOG): $(TEST_LOGS)
1235 @$(am__set_TESTS_bases); \
1236 am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1237 redo_bases=`for i in $$bases; do \
1238 am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1239 done`; \
1240 if test -n "$$redo_bases"; then \
1241 redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1242 redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1243 if $(am__make_dryrun); then :; else \
1244 rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1245 fi; \
1246 fi; \
1247 if test -n "$$am__remaking_logs"; then \
1248 echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1249 "recursion detected" >&2; \
1250 elif test -n "$$redo_logs"; then \
1251 am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1252 fi; \
1253 if $(am__make_dryrun); then :; else \
1254 st=0; \
1255 errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1256 for i in $$redo_bases; do \
1257 test -f $$i.trs && test -r $$i.trs \
1258 || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1259 test -f $$i.log && test -r $$i.log \
1260 || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1261 done; \
1262 test $$st -eq 0 || exit 1; \
1263 fi
1264 @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1265 ws='[ ]'; \
1266 results=`for b in $$bases; do echo $$b.trs; done`; \
1267 test -n "$$results" || results=/dev/null; \
1268 all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
1269 pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
1270 fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
1271 skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
1272 xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1273 xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1274 error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1275 if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1276 success=true; \
1277 else \
1278 success=false; \
1279 fi; \
1280 br='==================='; br=$$br$$br$$br$$br; \
1281 result_count () \
1282 { \
1283 if test x"$$1" = x"--maybe-color"; then \
1284 maybe_colorize=yes; \
1285 elif test x"$$1" = x"--no-color"; then \
1286 maybe_colorize=no; \
1287 else \
1288 echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1289 fi; \
1290 shift; \
1291 desc=$$1 count=$$2; \
1292 if test $$maybe_colorize = yes && test $$count -gt 0; then \
1293 color_start=$$3 color_end=$$std; \
1294 else \
1295 color_start= color_end=; \
1296 fi; \
1297 echo "$${color_start}# $$desc $$count$${color_end}"; \
1298 }; \
1299 create_testsuite_report () \
1300 { \
1301 result_count $$1 "TOTAL:" $$all "$$brg"; \
1302 result_count $$1 "PASS: " $$pass "$$grn"; \
1303 result_count $$1 "SKIP: " $$skip "$$blu"; \
1304 result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1305 result_count $$1 "FAIL: " $$fail "$$red"; \
1306 result_count $$1 "XPASS:" $$xpass "$$red"; \
1307 result_count $$1 "ERROR:" $$error "$$mgn"; \
1308 }; \
1309 { \
1310 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1311 $(am__rst_title); \
1312 create_testsuite_report --no-color; \
1313 echo; \
1314 echo ".. contents:: :depth: 2"; \
1315 echo; \
1316 for b in $$bases; do echo $$b; done \
1317 | $(am__create_global_log); \
1318 } >$(TEST_SUITE_LOG).tmp || exit 1; \
1319 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1320 if $$success; then \
1321 col="$$grn"; \
1322 else \
1323 col="$$red"; \
1324 test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
1325 fi; \
1326 echo "$${col}$$br$${std}"; \
1327 echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
1328 echo "$${col}$$br$${std}"; \
1329 create_testsuite_report --maybe-color; \
1330 echo "$$col$$br$$std"; \
1331 if $$success; then :; else \
1332 echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
1333 if test -n "$(PACKAGE_BUGREPORT)"; then \
1334 echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1335 fi; \
1336 echo "$$col$$br$$std"; \
1337 fi; \
1338 $$success || exit 1
1339
1340 check-TESTS:
1341 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1342 @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1343 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1344 @set +e; $(am__set_TESTS_bases); \
1345 log_list=`for i in $$bases; do echo $$i.log; done`; \
1346 trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1347 log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1348 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1349 exit $$?;
1350 recheck: all $(check_PROGRAMS)
1351 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1352 @set +e; $(am__set_TESTS_bases); \
1353 bases=`for i in $$bases; do echo $$i; done \
1354 | $(am__list_recheck_tests)` || exit 1; \
1355 log_list=`for i in $$bases; do echo $$i.log; done`; \
1356 log_list=`echo $$log_list`; \
1357 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1358 am__force_recheck=am--force-recheck \
1359 TEST_LOGS="$$log_list"; \
1360 exit $$?
1361 testsuite/common/bits32m0.log: testsuite/common/bits32m0$(EXEEXT)
1362 @p='testsuite/common/bits32m0$(EXEEXT)'; \
1363 b='testsuite/common/bits32m0'; \
1364 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1365 --log-file $$b.log --trs-file $$b.trs \
1366 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1367 "$$tst" $(AM_TESTS_FD_REDIRECT)
1368 testsuite/common/bits32m31.log: testsuite/common/bits32m31$(EXEEXT)
1369 @p='testsuite/common/bits32m31$(EXEEXT)'; \
1370 b='testsuite/common/bits32m31'; \
1371 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1372 --log-file $$b.log --trs-file $$b.trs \
1373 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1374 "$$tst" $(AM_TESTS_FD_REDIRECT)
1375 testsuite/common/bits64m0.log: testsuite/common/bits64m0$(EXEEXT)
1376 @p='testsuite/common/bits64m0$(EXEEXT)'; \
1377 b='testsuite/common/bits64m0'; \
1378 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1379 --log-file $$b.log --trs-file $$b.trs \
1380 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1381 "$$tst" $(AM_TESTS_FD_REDIRECT)
1382 testsuite/common/bits64m63.log: testsuite/common/bits64m63$(EXEEXT)
1383 @p='testsuite/common/bits64m63$(EXEEXT)'; \
1384 b='testsuite/common/bits64m63'; \
1385 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1386 --log-file $$b.log --trs-file $$b.trs \
1387 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1388 "$$tst" $(AM_TESTS_FD_REDIRECT)
1389 testsuite/common/alu-tst.log: testsuite/common/alu-tst$(EXEEXT)
1390 @p='testsuite/common/alu-tst$(EXEEXT)'; \
1391 b='testsuite/common/alu-tst'; \
1392 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1393 --log-file $$b.log --trs-file $$b.trs \
1394 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1395 "$$tst" $(AM_TESTS_FD_REDIRECT)
1396 .test.log:
1397 @p='$<'; \
1398 $(am__set_b); \
1399 $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1400 --log-file $$b.log --trs-file $$b.trs \
1401 $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1402 "$$tst" $(AM_TESTS_FD_REDIRECT)
1403 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1404 @am__EXEEXT_TRUE@ @p='$<'; \
1405 @am__EXEEXT_TRUE@ $(am__set_b); \
1406 @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1407 @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
1408 @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1409 @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
1410 check-am: all-am
1411 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1412 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU check-TESTS
1413 check: check-recursive
1414 all-am: Makefile $(LIBRARIES) $(HEADERS) config.h
1415 installdirs: installdirs-recursive
1416 installdirs-am:
1417 for dir in "$(DESTDIR)$(pkgincludedir)"; do \
1418 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1419 done
1420 install: install-recursive
1421 install-exec: install-exec-recursive
1422 install-data: install-data-recursive
1423 uninstall: uninstall-recursive
1424
1425 install-am: all-am
1426 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1427
1428 installcheck: installcheck-recursive
1429 install-strip:
1430 if test -z '$(STRIP)'; then \
1431 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1432 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1433 install; \
1434 else \
1435 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1436 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1437 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1438 fi
1439 mostlyclean-generic:
1440 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1441 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1442 -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1443 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1444
1445 clean-generic:
1446 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1447
1448 distclean-generic:
1449 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1450 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1451 -rm -f common/$(DEPDIR)/$(am__dirstamp)
1452 -rm -f common/$(am__dirstamp)
1453 -rm -f igen/$(DEPDIR)/$(am__dirstamp)
1454 -rm -f igen/$(am__dirstamp)
1455 -rm -f testsuite/common/$(DEPDIR)/$(am__dirstamp)
1456 -rm -f testsuite/common/$(am__dirstamp)
1457 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1458
1459 maintainer-clean-generic:
1460 @echo "This command is intended for maintainers to use"
1461 @echo "it deletes files that may require special tools to rebuild."
1462 clean: clean-recursive
1463
1464 clean-am: clean-checkPROGRAMS clean-generic clean-noinstLIBRARIES \
1465 mostlyclean-am
1466
1467 distclean: distclean-recursive
1468 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1469 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1470 -rm -f Makefile
1471 distclean-am: clean-am distclean-DEJAGNU distclean-compile \
1472 distclean-generic distclean-hdr distclean-tags
1473
1474 dvi: dvi-recursive
1475
1476 dvi-am:
1477
1478 html: html-recursive
1479
1480 html-am:
1481
1482 info: info-recursive
1483
1484 info-am:
1485
1486 install-data-am: install-pkgincludeHEADERS
1487
1488 install-dvi: install-dvi-recursive
1489
1490 install-dvi-am:
1491
1492 install-exec-am:
1493
1494 install-html: install-html-recursive
1495
1496 install-html-am:
1497
1498 install-info: install-info-recursive
1499
1500 install-info-am:
1501
1502 install-man:
1503
1504 install-pdf: install-pdf-recursive
1505
1506 install-pdf-am:
1507
1508 install-ps: install-ps-recursive
1509
1510 install-ps-am:
1511
1512 installcheck-am:
1513
1514 maintainer-clean: maintainer-clean-recursive
1515 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1516 -rm -rf $(top_srcdir)/autom4te.cache
1517 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1518 -rm -f Makefile
1519 maintainer-clean-am: distclean-am maintainer-clean-generic
1520
1521 mostlyclean: mostlyclean-recursive
1522
1523 mostlyclean-am: mostlyclean-compile mostlyclean-generic
1524
1525 pdf: pdf-recursive
1526
1527 pdf-am:
1528
1529 ps: ps-recursive
1530
1531 ps-am:
1532
1533 uninstall-am: uninstall-pkgincludeHEADERS
1534
1535 .MAKE: $(am__recursive_targets) all check-am install-am install-strip
1536
1537 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1538 am--refresh check check-DEJAGNU check-TESTS check-am clean \
1539 clean-checkPROGRAMS clean-cscope clean-generic \
1540 clean-noinstLIBRARIES cscope cscopelist-am ctags ctags-am \
1541 distclean distclean-DEJAGNU distclean-compile \
1542 distclean-generic distclean-hdr distclean-tags dvi dvi-am html \
1543 html-am info info-am install install-am install-data \
1544 install-data-am install-dvi install-dvi-am install-exec \
1545 install-exec-am install-html install-html-am install-info \
1546 install-info-am install-man install-pdf install-pdf-am \
1547 install-pkgincludeHEADERS install-ps install-ps-am \
1548 install-strip installcheck installcheck-am installdirs \
1549 installdirs-am maintainer-clean maintainer-clean-generic \
1550 mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
1551 ps ps-am recheck tags tags-am uninstall uninstall-am \
1552 uninstall-pkgincludeHEADERS
1553
1554 .PRECIOUS: Makefile
1555
1556
1557 # Generate nltvals.def for newlib/libgloss using devo and build tree.
1558 # This file is shipped with distributions so we build in the source dir.
1559 # Use `make nltvals' to rebuild.
1560 # Note: If gdb releases begin to contain target header files (not a good idea,
1561 # but if they did ...), nltvals.def coud be generated at build time.
1562 # An alternative is to slurp in the tables at runtime.
1563 .PHONY: nltvals
1564 nltvals:
1565 $(abs_srcdir)/common/gennltvals.py --cpp "$(CPP)" --output nltvals.def --srcroot $(srcroot)
1566 $(SHELL) $(srcroot)/move-if-change nltvals.def $(abs_srcdir)/common/nltvals.def
1567
1568 common/version.c: $(srcroot)/gdb/version.in $(srcroot)/bfd/version.h $(srcdir)/common/create-version.sh
1569 $(SHELL) $(srcdir)/common/create-version.sh $(srcroot)/gdb $@.tmp
1570 $(SHELL) $(srcroot)/move-if-change $@.tmp $@
1571 touch $@
1572
1573 # Alias for developers.
1574 @SIM_ENABLE_IGEN_TRUE@igen: igen/igen$(EXEEXT)
1575
1576 # These rules are copied from automake, but tweaked to use FOR_BUILD variables.
1577 @SIM_ENABLE_IGEN_TRUE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1578 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)-rm -f $@
1579 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_AR)$(AR_FOR_BUILD) $(ARFLAGS) $@ $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1580 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)$(RANLIB_FOR_BUILD) $@
1581
1582 @SIM_ENABLE_IGEN_TRUE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1583 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CCLD)$(LINK_FOR_BUILD) $(igen_igen_OBJECTS) $(igen_igen_LDADD)
1584
1585 # igen is a build-time only tool. Override the default rules for it.
1586 @SIM_ENABLE_IGEN_TRUE@igen/%.o: igen/%.c
1587 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -c $< -o $@
1588
1589 # Build some of the files in standalone mode for developers of igen itself.
1590 @SIM_ENABLE_IGEN_TRUE@igen/%-main.o: igen/%.c
1591 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -DMAIN -c $< -o $@
1592
1593 site-srcdir.exp: Makefile
1594 echo "set srcdir \"$(srcdir)/testsuite\"" > $@
1595
1596 check-DEJAGNU: site.exp
1597 LC_ALL=C; export LC_ALL; \
1598 EXPECT=${EXPECT} ; export EXPECT ; \
1599 runtest=$(RUNTEST); \
1600 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
1601 $$runtest $(RUNTESTFLAGS); \
1602 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
1603 fi
1604
1605 # These tests are build-time only tools. Override the default rules for them.
1606 testsuite/common/%.o: testsuite/common/%.c
1607 $(AM_V_CC)$(COMPILE_FOR_BUILD) $(testsuite_common_CPPFLAGS) -c $< -o $@
1608
1609 testsuite/common/alu-tst$(EXEEXT): $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1610 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_LDADD)
1611
1612 testsuite/common/fpu-tst$(EXEEXT): $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1613 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_LDADD)
1614
1615 testsuite/common/bits-gen$(EXEEXT): $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1616 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_LDADD)
1617
1618 testsuite/common/bits32m0$(EXEEXT): $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1619 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_LDADD)
1620
1621 testsuite/common/bits32m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1622 $< 32 0 big > $@.tmp
1623 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1624 mv $@.tmp $@
1625
1626 testsuite/common/bits32m31$(EXEEXT): $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1627 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_LDADD)
1628
1629 testsuite/common/bits32m31.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1630 $< 32 31 little > $@.tmp
1631 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1632 mv $@.tmp $@
1633
1634 testsuite/common/bits64m0$(EXEEXT): $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1635 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_LDADD)
1636
1637 testsuite/common/bits64m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1638 $< 64 0 big > $@.tmp
1639 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1640 mv $@.tmp $@
1641
1642 testsuite/common/bits64m63$(EXEEXT): $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1643 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_LDADD)
1644
1645 testsuite/common/bits64m63.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1646 $< 64 63 little > $@.tmp
1647 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1648 mv $@.tmp $@
1649
1650 all-recursive: $(SIM_ALL_RECURSIVE_DEPS)
1651
1652 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1653 # Otherwise a system limit (for SysV at least) may be exceeded.
1654 .NOEXPORT:
This page took 0.09069 seconds and 5 git commands to generate.